Bug 1008111

Summary: configure sudoers entry along with other nsswitch.conf entries
Product: [Fedora] Fedora Reporter: W. Michael Petullo <mike>
Component: authselectAssignee: Pavel Březina <pbrezina>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: rawhideCC: daniele, jlieskov, pbrezina, thughes, tmraz
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-03-27 09:57:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description W. Michael Petullo 2013-09-14 20:54:04 UTC
Description of problem:
It does not seem that authconfig configures sudo to read its sudoers configuration from LDAP.

Version-Release number of selected component (if applicable):
authconfig-6.2.6-3.fc19.1.x86_64

How reproducible:
Every time

Steps to Reproduce:
Use authconfig to configure a computer to use LDAP.

Actual results:
The line "sudoers: files ldap" is not added to /etc/nsswitch.conf.

Expected results:
I would expect authconfig to be able to add "sudoers: files ldap" to /etc/nsswitch.conf, so that I don't need to manually edit the file after running authconfig.

Comment 1 Tim Hughes 2014-01-03 15:30:38 UTC
authconfig-6.2.6-4.fc20.x86_64 same on fedora 20

I don't know if it needs to be default but having the following may work


--enableldapsudo
--enablesssdsudo

--ldapsudobasedn=<dn> 
--sssdsudobasedn=<dn>

Comment 2 Fedora End Of Life 2015-01-09 19:50:29 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 W. Michael Petullo 2015-01-10 04:51:25 UTC
I updated the bug to cover Fedora 21, since Fedora 19 is reaching the end of its life.

Comment 4 Tomas Mraz 2018-03-26 09:49:05 UTC
Moving to authselect for consideration. Authconfig is deprecated.

Comment 5 Pavel Březina 2018-03-27 09:57:19 UTC
Authselect will configure sudo to use sssd if you choose sssd profile [1]. We do not plan to support native ldap in upstream profiles, but users can create their own profile if sssd is not an option for them.

https://github.com/pbrezina/authselect/blob/master/profiles/sssd/nsswitch.conf#L6

Comment 6 W. Michael Petullo 2018-03-27 22:38:26 UTC
Authselect does indeed have the sudo feature. Thank you for pointing out this new tool; it had not yet come to my attention.